%define	api_version 2
%define lib_major   2
%define lib_name	%mklibname %{name}-%{api_version}_ %{lib_major}

%define req_libgnomeui_version 2.1.0
%define req_startup_notification_version 0.5

Summary:          Package containing code shared among gnome-panel, gnome-session, nautilus, etc
Name:             gnome-desktop
Version: 2.18.0
Release: %mkrel 2
License:          GPL/LGPL
Group:            Graphical desktop/GNOME
Source0:          http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/%{name}-%{version}.tar.bz2
# (fc) 2.2.0.1-2mdk search in KDE 3.1 icon path
Patch1:		  gnome-desktop-2.3.7-crystalsvg.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
URL:              http://www.gnome.org
Requires:	  libgnomeui2 >= %{req_libgnomeui_version}
BuildRequires:    libgnomeui2-devel >= %{req_libgnomeui_version}
BuildRequires:	  startup-notification-devel >= %{req_startup_notification_version}
BuildRequires:	  scrollkeeper
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires:    perl-XML-Parser

%description
This package contains some data files and other shared components of the
GNOME user environment.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Requires:   %{name} >= %{version}
Provides:	%{name}-%{api_version} = %{version}-%{release}
Requires: libstartup-notification-1 >= %{req_startup_notification_version}

%description -n %{lib_name}
This package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for gnome-desktop
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:   libgnomeui2-devel
Requires:   libstartup-notification-1-devel >= %{req_startup_notification_version}

%description -n %{lib_name}-devel
Static libraries, include files for internal library libgnomedesktop.

%prep
%setup -q
%patch1 -p1 -b .crystalsvg

%build

%configure2_5x --with-gnome-distributor="%vendor" --disable-scrollkeeper

%make


%install
rm -rf $RPM_BUILD_ROOT %{name}-2.0.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

%find_lang %{name}-2.0
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done
for d in `ls -1 %buildroot%_datadir/gnome/help/`; do
  %find_lang $d --with-gnome
  cat $d.lang >> %name-2.0.lang
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s %{_liconsdir}/mandrake.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/mandriva.png

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{name}-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/gnome-about
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%files -n %{lib_name}
%defattr (-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr (-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%_datadir/gtk-doc/html/*


%changelog
* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 144693
- tag lang on Gnome help files

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142140
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126122
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120192
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111611
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106282
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-5mdv2007.1
+ Revision: 89202
- rebuild

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 88956
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-3mdv2007.1
+ Revision: 88463
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87661
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86191
- new version
- unpack patch
- Import gnome-desktop



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild to drop obsolete libhowl dependency

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Wed Apr 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1.1-1mdk
- Release 2.14.1.1

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- Rebuild to remove howl dep

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Thu Oct  6 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- fix buildrequires

* Thu Oct  6 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- fix buildrequires

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- drop patch 2
- New release 2.10.2

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch2: fix i18n init

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Move logo to pixmaps directory

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Rename our icon file

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Fix vendor

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- update description with fedora one

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk 
- Release 2.8.3

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch2 (merged upstream)

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch2 : fix OMF validation (Mdk bug #10201)

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source location
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0.1 (with Gtz help)
- add omf files and call scrollkeeper in the post script

* Tue Feb 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.1-2mdk
- Remove menu entry, it is now in menu package

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1.1-1mdk
- new version

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.0-2mdk
- fix deps

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-2mdk
- Update patch1 to correctly initialize icon lists for kde 

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.6

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6.1-1mdk
- Release 2.3.6.1

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4
- Remove patch2 (merged upstream)

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-1mdk
- Release 2.3.3.1
- Patch2 : allow to specify date and distributor on configure command-line

* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3-3mdk
- buildrequires intltool (needed by the aclocal call)

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Rebuild against latest libbonobo

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1
- Fix distributor field in gnome-version.xml

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Fix BuildRequires

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Remove patch0 (merged upstream)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-2mdk
- Patch1: seach in KDE 3.1 icon path too

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Patch0: fix i18n initialisation

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Recompiled against latest openssl

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove patch0 (must be applied to libgnomeui now)

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Update patch0 to prevent crashes

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch0: fix icons path

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- set GNOME_VENDOR and GNOME_BUILD variable

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Add menu entry

* Mon Jul 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Add link to mandrake icon

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.22-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.22-1mdk
- Release 1.5.22

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.19-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.19-1mdk
- Release 1.5.19

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-1mdk
- Release 1.5.18

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.17-1mdk
- Release 1.5.17

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-1mdk
- Release 1.5.16

* Sat Apr  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.15-1mdk
- Release 1.5.15 (GUADEC Powered)

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.14-2mdk
- Fix bad uid for documentation files 

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.14-1mdk
- First Mdk package

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Fixed remaining formating issues
- converted to .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-desktop
